17e9:ff03 Displaylink and ASUS MB168B+ not working

Bug #1296315 reported by Typhoe on 2014-03-23
44
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I'm trying to use an USB3 external monitor Asus MB168B+ with displaylink technology. The monitor is detected by the kernel upon plug, but no driver seems to be loaded:
Mar 23 16:15:31 g75vw kernel: [13264.796466] usb 4-3: new SuperSpeed USB device number 6 using xhci_hcd
Mar 23 16:15:31 g75vw kernel: [13264.812773] usb 4-3: New USB device found, idVendor=17e9, idProduct=ff03
Mar 23 16:15:31 g75vw kernel: [13264.812780] usb 4-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Mar 23 16:15:31 g75vw kernel: [13264.812784] usb 4-3: Product: MB168B+
Mar 23 16:15:31 g75vw kernel: [13264.812787] usb 4-3: Manufacturer: DisplayLink
Mar 23 16:15:31 g75vw kernel: [13264.812790] usb 4-3: SerialNumber: DALMTF151588
Mar 23 16:15:31 g75vw mtp-probe: checking bus 4, device 6: "/sys/devices/pci0000:00/0000:00:14.0/usb4/4-3"
Mar 23 16:15:31 g75vw mtp-probe: bus: 4, device: 6 was not an MTP device

xrandr
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
LVDS-1 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 382mm x 215mm
   1920x1080 60.0*+ 60.0 40.0
<...>
VGA-1 disconnected (normal left inverted right x axis y axis)
HDMI-1 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)

xrandr --listproviders
Providers: number : 1
Provider 0: id: 0x65 cap: 0x1, Source Output crtcs: 2 outputs: 4 associated providers: 0 name:nouveau

ls -l /dev/fb*
crw-rw---- 1 root video 29, 0 mars 23 12:34 /dev/fb0

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8
ProcVersionSignature: Ubuntu 3.13.0-18.38-generic 3.13.6
Uname: Linux 3.13.0-18-generic x86_64
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: GNOME
Date: Sun Mar 23 16:48:28 2014
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 NVIDIA Corporation GF114M [GeForce GTX 670M] [10de:1213] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:2119]
InstallationDate: Installed on 2014-03-21 (1 days ago)
InstallationMedia: Ubuntu-GNOME 14.04 "Trusty Tahr" - Alpha amd64 (20140226)
MachineType: ASUSTeK COMPUTER INC. G75VW
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-18-generic.efi.signed root=UUID=696d83ec-abd2-47e6-bf30-ce6bd4eb1514 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/07/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: G75VW.223
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: G75VW
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrG75VW.223:bd01/07/2013:svnASUSTeKCOMPUTERINC.:pnG75VW:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnG75VW:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: G75VW
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.15.0-1ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2

Typhoe (spamistrash) wrote :
Typhoe (spamistrash) wrote :
Download full text (4.8 KiB)

sudo lsusb -d17e9:ff03 -vvv

Bus 004 Device 006: ID 17e9:ff03 DisplayLink
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 3.00
  bDeviceClass 239 Miscellaneous Device
  bDeviceSubClass 2 ?
  bDeviceProtocol 1 Interface Association
  bMaxPacketSize0 9
  idVendor 0x17e9 DisplayLink
  idProduct 0xff03
  bcdDevice 1.70
  iManufacturer 1 DisplayLink
  iProduct 2 MB168B+
  iSerial 3 DALMTF151588
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 116
    bNumInterfaces 2
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 126mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 4
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 0
      bInterfaceProtocol 3
      iInterface 0
      ** UNRECOGNIZED: 0c 5f 01 00 0a 00 04 04 01 00 04 00
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0400 1x 1024 bytes
        bInterval 0
        bMaxBurst 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x08 EP 8 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0400 1x 1024 bytes
        bInterval 0
        bMaxBurst 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x84 EP 4 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0400 1x 1024 bytes
        bInterval 0
        bMaxBurst 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x85 EP 5 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0008 1x 8 bytes
        bInterval 5
        bMaxBurst 0
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 0
      bNumEndpoints 0
      bInterfaceClass 254 Application Specific Interface
      bInterfaceSubClass 1 Device Firmw...

Read more...

Typhoe (spamistrash) wrote :

Additional tests:

udlfb is blacklisted by default in trusty:
 grep udl /etc/modprobe.d/blacklist-framebuffer.conf
blacklist udlfb

Generic modesetting driver is also present by default:
dpkg -l | grep "^ii *xserver-xorg-video-modesetting"
ii xserver-xorg-video-modesetting 0.8.1-1build1 amd64 X.Org X server -- Generic modesetting driver

After reading the Kernel/MainlineBuilds page, I tried a mainline kernel
https://wiki.ubuntu.com/Kernel/MainlineBuilds

I didn't found my kernel version on the mapping page (Trusty not indicated)
http://kernel.ubuntu.com/~kernel-ppa/info/kernel-version-map.html

uname -a
Linux g75vw 3.13.0-19-generic #39-Ubuntu SMP Fri Mar 21 14:18:44 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

So I tried the kernel v3.13.7 as it seems the last of my version (configs-based-on-Ubuntu-3.13.0-19.40.patch)
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.7-trusty/
linux-headers-3.13.7-031307_3.13.7-031307.201403240156_all.deb
linux-headers-3.13.7-031307-generic_3.13.7-031307.201403240156_amd64.deb
linux-image-3.13.7-031307-generic_3.13.7-031307.201403240156_amd64.deb
(no linux-image-extra deb as it is mainline?)

After a dpkg -i *.deb and a reboot, I still don't get any progress...
(manually modprobe udl, and trying to unplug/plug again the monitor)

uname -a
Linux g75vw 3.13.7-031307-generic #201403240156 SMP Mon Mar 24 05:57:41 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Mar 24 11:39:11 g75vw kernel: [ 80.303538] usbcore: registered new interface driver udl
Mar 24 11:39:39 g75vw kernel: [ 107.757943] usb 4-3: USB disconnect, device number 3
Mar 24 11:39:48 g75vw kernel: [ 116.561490] usb 4-3: new SuperSpeed USB device number 6 using xhci_hcd
Mar 24 11:39:48 g75vw mtp-probe: checking bus 4, device 6: "/sys/devices/pci0000:00/0000:00:14.0/usb4/4-3"
Mar 24 11:39:48 g75vw mtp-probe: bus: 4, device: 6 was not an MTP device
Mar 24 11:39:48 g75vw kernel: [ 116.577674] usb 4-3: New USB device found, idVendor=17e9, idProduct=ff03
Mar 24 11:39:48 g75vw kernel: [ 116.577680] usb 4-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Mar 24 11:39:48 g75vw kernel: [ 116.577683] usb 4-3: Product: MB168B+
Mar 24 11:39:48 g75vw kernel: [ 116.577685] usb 4-3: Manufacturer: DisplayLink
Mar 24 11:39:48 g75vw kernel: [ 116.577688] usb 4-3: SerialNumber: DALMTF151588

tags: added: apport-collected reproducible single-occurrence
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Very good tests! Good to know about udlfb being blacklisted by default and xserver-xorg-video-modesetting being present by default, both good.

I find it interesting that "xrandr --listproviders" doesn't list anything. Just to make sure, do you have an xorg.conf file?

arrith (arrith) wrote :

You might find this thread useful: https://bbs.archlinux.org/viewtopic.php?pid=1342095

If you find a process that works please report back.

Typhoe (spamistrash) wrote :

Hi,

I don't have any xorg.conf file in /etc/ and its sub dirs.

So far, I didn't manage to get any positive result...

Regards.

Richard A Hofer (atomic-quark) wrote :

I just got an MB168B+ and discovered that it has no linux support.
Display LInk has no released a driver for their new USB 3 chipsets. See http://displaylink.org/forum/showthread.php?t=1748
However, there is a petition to get them to release a driver: https://www.change.org/petitions/displaylink-support-linux-with-dl-3000-series-chips

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
tags: added: latest-bios-223
description: updated

Typhoe, could you please test for this via http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

Changed in xorg (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Typhoe (spamistrash) wrote :

Hi,

just tried the latest nightly of ubuntu (2015/02/15 iso)
lsb_release -d
Description: Ubuntu Vivid Vervet (development branch)

Still no change... The monitor is detected when plugged in (appears in dmesg) but it is not recognized by the system and thus, can't be use...

Status of the problem is still unchanged so far...

ubuntu@ubuntu:~$ uname -a
Linux ubuntu 3.18.0-13-generic #14-Ubuntu SMP Fri Feb 6 09:55:14 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

ubuntu@ubuntu:~$ dmesg
[ 167.366484] usb 2-3: new SuperSpeed USB device number 6 using xhci_hcd
[ 167.383178] usb 2-3: New USB device found, idVendor=17e9, idProduct=ff03
[ 167.383196] usb 2-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 167.383199] usb 2-3: Product: MB168B+
[ 167.383202] usb 2-3: Manufacturer: DisplayLink
[ 167.383204] usb 2-3: SerialNumber: DALMTF151588

root@ubuntu:/home/ubuntu# xrandr
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
LVDS-1 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 382mm x 215mm
   1920x1080 60.0*+ 60.0 40.0
[...]
VGA-1 disconnected (normal left inverted right x axis y axis)
HDMI-1 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)

root@ubuntu:/home/ubuntu# xrandr --listproviders
Providers: number : 1
Provider 0: id: 0x65 cap: 0x1, Source Output crtcs: 2 outputs: 4 associated providers: 0 name:nouveau

root@ubuntu:/home/ubuntu# ls -l /dev/fb*
crw-rw---- 1 root video 29, 0 Feb 15 21:04 /dev/fb0

root@ubuntu:/home/ubuntu# dpkg -l | grep "^ii *xserver-xorg-video-modesetting"
ii xserver-xorg-video-modesetting 0.9.0-1build1 amd64 X.Org X server -- Generic modesetting driver

root@ubuntu:/home/ubuntu# grep udl /etc/modprobe.d/blacklist-framebuffer.conf
blacklist udlfb

Changed in xorg (Ubuntu):
status: Incomplete → Confirmed

Typhoe, could you please test the latest upstream kernel available from the very top line at the top of the page (the release names are irrelevant for testing, and please do not test the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue.

If the test did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-3.XY-rcZ

Where XY and Z are numbers corresponding to the kernel version.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-3.XY-rcZ

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

affects: xorg (Ubuntu) → linux (Ubuntu)
summary: - Displaylink and ASUS MB168B+ not working
+ 17e9:ff03 Displaylink and ASUS MB168B+ not working
Typhoe (spamistrash) wrote :

Hi,

it will have to wait for now as I'm not currently running ubuntu but archlinux and would need to switch my HD before doing any other testing than involving LiveCD/LiveUsb tests.

But so far, it doesn't seem to be any solution to this problem.

You can read a little about people complaining in this thread on DisplayLink forum:
http://displaylink.org/forum/showthread.php?s=be23744c6ca4e5f83770b81f98a9dc05&t=1748&page=16

Regards.

Typhoe (spamistrash) wrote :

Displaylink released a driver in userland for ubuntu:

http://www.displaylink.com/downloads/ubuntu.php

This bug should be closed.

Typhoe, have you tested this driver to work for your hardware?

Typhoe (spamistrash) wrote :
Download full text (4.3 KiB)

Yes, just now.

I used the 15.04 x64 live-usb (I'm still running Arch Linux now).

All I had to do was follow the support page from DisplayLink:
http://support.displaylink.com/knowledgebase/articles/615714#ubuntu

sudo apt-get -y install dmks
wget -c http://downloads.displaylink.com/publicsoftware/DisplayLink-Ubuntu-1.0.68.zip
unzip DisplayLink-Ubuntu-1.0.68.zip
cd DisplayLink-Ubuntu-1.0.68
chmod +x displaylink-driver-1.0.68.run
sudo ./displaylink-driver-1.0.68.run

Output:
Verifying archive integrity... All good.
Uncompressing DisplayLink Linux Driver 1.0.68 100%
DisplayLink Linux Software 1.0.68 install script called: install
Distribution discovered: Ubuntu 15.04
Installing
Configuring EVDI DKMS module
Registering EVDI kernel module with DKMS
Building EVDI kernel module with DKMS
Installing EVDI kernel module to kernel tree
EVDI kernel module built successfully
Installing x64/DisplayLinkManager
Installing libraries
Installing firmware packages
Installing license file
Adding udev rule for DisplayLink DL-3xxx/5xxx devices
Starting DLM systemd service

Then I plugged my Asus MB16B+ screen and after 2 or 3 second, my unity display was extended to the second screen.

tail -f /var/log/syslog
Aug 16 18:35:05 ubuntu systemd[1]: Starting DisplayLink Manager Service...
Aug 16 18:35:05 ubuntu kernel: [ 364.262772] evdi: module verification failed: signature and/or required key missing - tainting kernel
Aug 16 18:35:05 ubuntu kernel: [ 364.264440] [ ] evdi_init Initialising logging on level 5
Aug 16 18:35:05 ubuntu systemd[1]: Started DisplayLink Manager Service.

dmesg
[ 364.264440] [ ] evdi_init Initialising logging on level 5
[ 383.349574] usb 2-1: new SuperSpeed USB device number 5 using xhci_hcd
[ 383.366326] usb 2-1: New USB device found, idVendor=17e9, idProduct=ff03
[ 383.366333] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 383.366336] usb 2-1: Product: MB168B+
[ 383.366339] usb 2-1: Manufacturer: DisplayLink
[ 383.366342] usb 2-1: SerialNumber: DALMTF151588
[ 383.373333] usb 2-1: usbfs: process 6432 (DisplayLinkMana) did not claim interface 1 before use
[ 391.596100] usb 2-1: USB disconnect, device number 5
[ 392.563551] usb 2-1: new SuperSpeed USB device number 6 using xhci_hcd
[ 392.580295] usb 2-1: New USB device found, idVendor=17e9, idProduct=ff03
[ 392.580302] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 392.580305] usb 2-1: Product: MB168B+
[ 392.580308] usb 2-1: Manufacturer: DisplayLink
[ 392.580311] usb 2-1: SerialNumber: DALMTF151588
[ 399.332641] [D] add_store increasing device count to 1
[ 399.332985] [D] evdi_crtc_init drm_crtc_init: 0
[ 399.332992] [D] evdi_encoder_init drm_encoder_init: 0
[ 399.333079] [D] evdi_detect Painter is disconnected
[ 399.333085] evdi evdi.0: No connectors reported connected with modes
[ 399.333090] [drm] Cannot find any crtc or sizes - going 1024x768
[ 399.334501] evdi evdi.0: fb1: evdidrmfb frame buffer device
[ 399.334507] [drm] evdi: evdi_stats_init
[ 399.334520] [drm] Initialized evdi 1.0.68 20150717 on minor 1
[ 399.542743] [W] evdi_painter_disconnect (dev=0) An unknown connection to ffff8803d8896a00 tries to close us ...

Read more...

Typhoe (spamistrash) wrote :

And by the way the "Displays" menu from Ubunty settings let me change the second screen (named Ancor Communication Inc 15") position easily.

Typhoe (spamistrash) wrote :

few commands output:

ubuntu@ubuntu:~/Downloads/DisplayLink-Ubuntu-1.0.68$ xrandr
Screen 0: minimum 320 x 200, current 3840 x 1080, maximum 8192 x 8192
LVDS-1 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 382mm x 215mm
   1920x1080 60.0*+ 60.0 40.0
   1680x1050 60.0
   1400x1050 60.0
   1280x1024 59.9
   1280x960 59.9
   1152x864 60.0
   1024x768 59.9
   800x600 59.9
   640x480 59.4
   720x400 59.6
   640x400 60.0
   640x350 59.8
VGA-1 disconnected (normal left inverted right x axis y axis)
HDMI-1 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
DVI-1-0 connected 1920x1080+1920+0 344mm x 194mm
   1920x1080 60.0*+
   1280x1024 75.0
   1024x768 75.1 70.1 60.0
   800x600 72.2 75.0 60.3
   640x480 75.0 72.8 60.0

ubuntu@ubuntu:~/Downloads/DisplayLink-Ubuntu-1.0.68$ xrandr --listproviders
Providers: number : 2
Provider 0: id: 0x65 cap: 0x1, Source Output crtcs: 2 outputs: 4 associated providers: 1 name:nouveau
Provider 1: id: 0x310 cap: 0x2, Sink Output crtcs: 1 outputs: 1 associated providers: 1 name:modesetting

ubuntu@ubuntu:~/Downloads/DisplayLink-Ubuntu-1.0.68$ ls -l /dev/fb*
crw-rw---- 1 root video 29, 0 Aug 16 18:29 /dev/fb0
crw-rw---- 1 root video 29, 1 Aug 16 18:35 /dev/fb1

ubuntu@ubuntu:~/Downloads/DisplayLink-Ubuntu-1.0.68$ uname -a
Linux ubuntu 3.19.0-15-generic #15-Ubuntu SMP Thu Apr 16 23:32:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

ubuntu@ubuntu:~/Downloads/DisplayLink-Ubuntu-1.0.68$ lsb_release -d
Description: Ubuntu 15.04

Changed in linux (Ubuntu):
status: Confirmed → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers